/*
 
Copyright 2011 Serafino D'Angelillo <arriva-sera@hotmail.it>
 
This file is part of qiXD.
 
qiXD is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
 
qiXD is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with qiXD.  If not, see
<http://www.gnu.org/licenses/>.
 
*/


#ifndef DOMINATOR_H
#define DOMINATOR_H

class Dominator
{
	private:
		int dx, dy, dxg, dyg;

		int direzione;
		int colore;


	public:
		int getDX() const;
		int getDY() const;
		int getDXG() const;
		int getDYG() const;

		Dominator();

		void inserisciInMatriceGioco();
		void inserisciInMatriceGioco(int px, int py);

		void stampa();
		void muovi();
		int scegliDirezione();
		int generaColore();

};
#endif
